#Calls the DCEC prover to prove that if B(a,t,phi) and B(a,t,implies(phi,psi)), then B(a,t,psi).
#REQUIRES AT LEAST PYTHON 2.7.9 INSTALLED! CHECK YOUR VERSION NUMBER WITH: "python -V"

import urllib, urllib2

p = 'ActionType jumpOnto Object#Boolean loves Agent Agent'  #note that '#' is a delimiter. 
a = 'B(a,t,phi)#B(a,t,implies(phi,psi))'
c = 'B(a,t,psi)'
m = '-'#this includes all DCEC and logic rules

query_args = { 'apiKey':'testKey', 'prototypes':p, 'axioms':a, 'conjecture':c,'justify':True, 'timeout':10, 'discover':False, 'manual':m}

data = urllib.urlencode(query_args)
response = urllib2.urlopen('https://prover.cogsci.rpi.edu/DCEC_PROVER/proverPost.php',data) #current (temporary) address
html = response.read()

lines = html.split('<br>')
found = False

for line in lines:
    print line
    line = line.replace('\t','')
    if line.find('Proof Found')!=-1 : found = True

print "Proof found:",
print found
